# F2F Complaint

Complaint endpoints for face-to-face transactions.


## Accept a complaint for this face-to-face transaction

 - [POST /api/v1/p2p/transactions/{transaction_id}/accept_complaint](https://docs.trustap.com/apis/openapi/f2f-complaint/p2p.acceptcomplaint.md)

## Submit a complaint for this face-to-face transaction

 - [POST /api/v1/p2p/transactions/{transaction_id}/complain](https://docs.trustap.com/apis/openapi/f2f-complaint/p2p.submitcomplaint.md): Offline access is allowed for this endpoint when the user has granted the p2p_tx:offline_complain scope to the client that is performing the request.

## Submit a complaint for this face-to-face transaction with a guest buyer

 - [POST /api/v1/p2p/transactions/{transaction_id}/complain_with_guest_buyer](https://docs.trustap.com/apis/openapi/f2f-complaint/p2p.submitcomplaintwithguestbuyer.md)

## End the complaint period for this face-to-face transaction with a full user

 - [POST /api/v1/p2p/transactions/{transaction_id}/end_complaint_period](https://docs.trustap.com/apis/openapi/f2f-complaint/p2p.endcomplaintperiod.md)

## End the complaint period for this face-to-face transaction with a guest buyer

 - [POST /api/v1/p2p/transactions/{transaction_id}/end_complaint_period_with_guest_buyer](https://docs.trustap.com/apis/openapi/f2f-complaint/p2p.endcomplaintperiodwithguestbuyer.md)

